### Method

# Shumate Viewport set_reference_map_source

#### Declaration [src]

    void
    shumate_viewport_set_reference_map_source (
      ShumateViewport* self,
      ShumateMapSource* map_source
    )

#### Description [src]

Set the reference map source.

Sets property | `Shumate.Viewport:reference-map-source`

#### Parameters

`map_source`

  Type: `ShumateMapSource`

  A `ShumateMapSource` or `NULL` to set none.

  The argument can be `NULL`.
  The data is owned by the caller of the method.